Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.wms.control.layertree
Class LayerBean

    java.lang.Object
      org.deegree.portal.standard.wms.control.layertree.LayerBean

    public class LayerBean

extends Object

TODO add class documentation here

Version:
  $Revision: 21879 $, $Date: 2010-01-12 09:36:59 +0100 (Di, 12. Jan 2010) $
Author:
  Andreas Poth, last edited by: $Author: apoth $

Constructor Summary
`LayerBean(String wmsName, String name, String serviceType, String serviceURL, String format)`

Method Summary
`String` | `getFormat()`
`String` | `getName()`
`String` | `getServiceType()`
`String` | `getServiceURL()`
`String` | `getWmsName()`
`void` | `setFormat(String format)`
`void` | `setName(String name)`
`void` | `setServiceType(String serviceType)`
`void` | `setServiceURL(String serviceURL)`
`void` | `setWmsName(String wmsName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LayerBean

    public LayerBean(String wmsName,
                     String name,
                     String serviceType,
                     String serviceURL,
                     String format)

Parameters:
  `wmsName` -
  `name` -
  `serviceType` -
  `serviceURL` -
  `format` -

Method Detail

### getFormat

    public String getFormat()

  Returns:
    the format

### setFormat

    public void setFormat(String format)

  Parameters:
    `format` - the format to set

### getServiceType

    public String getServiceType()

  Returns:
    the serviceType

### setServiceType

    public void setServiceType(String serviceType)

  Parameters:
    `serviceType` - the serviceType to set

### getServiceURL

    public String getServiceURL()

  Returns:
    the serviceURL

### setServiceURL

    public void setServiceURL(String serviceURL)

  Parameters:
    `serviceURL` - the serviceURL to set

### getWmsName

    public String getWmsName()

  Returns:
    the wmsName

### setWmsName

    public void setWmsName(String wmsName)

  Parameters:
    `wmsName` - the wmsName to set

### getName

    public String getName()

  Returns:
    the name

### setName

    public void setName(String name)

  Parameters:
    `name` - the name to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org